Subject: bug#22991: closed (Re: bug#22991: 25.0.92: C-u C-s does not display "Regexp I-search:" in the echo area)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 14 Mar 2016 18:19:02 +0000

Your bug report

#22991: 25.0.92: C-u C-s does not display "Regexp I-search:" in the echo area

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22991: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22991
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22991: 25.0.92: C-u C-s does not display "Regexp I-search:" in the echo area
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked], Kaushal <[email-masked]>
Date: Mon, 14 Mar 2016 20:17:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Mon, 14 Mar 2016 13:29:24 -0300
> From: Artur Malabarba <[email-masked]>
> Cc: [email-masked], Drew Adams <[email-masked]>, 
> 	Michael Heerdegen <[email-masked]>, Juri Linkov <[email-masked]>, Eli Zaretskii <[email-masked]>
> 
> I can't push for the time being, but I agree with the patch. 
> 
> Eli, if you agree with it too, could you push it? 

Pushed.

Subject: 25.0.92: C-u C-s does not display "Regexp I-search:" in the echo area
From: Kaushal Modi <[email-masked]>
To: "[email-masked]" <[email-masked]>, Artur Malabarba <[email-masked]>
Date: Fri, 11 Mar 2016 14:48:29 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Tested in the latest emacs-25 build as of today.

emacs -Q
C-u C-s

The echo area will show "I-search:".
Earlier it used to show "Regexp I-search:" and that made it clear that we
are doing regexp search.

This change happened after this revert:
http://git.savannah.gnu.org/cgit/emacs.git/commit/?h=emacs-25&id=b417c5a3b35bf31e66a170529c5aeb34cb3318d0

So it looks like that isearch-message-prefix was bound to
search-default-mode being non-nil.

I verified that "C-u C-s" shows "Regexp I-search:" fine in emacs 24.5. But
that version did not have the search-default-mode.

I believe that the clarity of regexp isearch being on/off is missing,
especially when C-u C-s DOES do regexp search and still displays "I-search:
" in the echo.

If I set search-default-mode back to "#'character-fold-to-regexp", this
issue is gone. So displaying of "Regexp I-search:" should be decoupled from
the character-fold.el library.

--
Kaushal Modi